Bug 169348

Summary: [WK2] Move AcceleratedSurface files under WebProcess/WebPage/CoordinatedGraphics
Product: WebKit Reporter: Zan Dobersek <zan>
Component: New BugsAssignee: Zan Dobersek <zan>
Status: RESOLVED FIXED    
Severity: Normal    
Priority: P2    
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch none

Description Zan Dobersek 2017-03-08 01:38:48 PST
[WK2][CoordGraphics] Move AcceleratedSurface files under WebProcess/WebPage/CoordinatedGraphics
Comment 1 Zan Dobersek 2017-03-08 01:40:18 PST
Created attachment 303798 [details]
Patch
Comment 2 Carlos Garcia Campos 2017-03-08 02:05:07 PST
Comment on attachment 303798 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=303798&action=review

> Source/WebKit2/ChangeLog:10
> +        Move the AcceleratedSurface header and implementation files under the
> +        WebProcess/WebPage/CoordinatedGraphics directory since that class is
> +        used in the platform-independent ThreadedCoordinatedLayerTreeHost.

But it's not specific to coordinated graphics either, it was used by LayerTreeHostGtk before we removed it.
Comment 3 Zan Dobersek 2017-03-08 02:42:14 PST
Comment on attachment 303798 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=303798&action=review

>> Source/WebKit2/ChangeLog:10
>> +        used in the platform-independent ThreadedCoordinatedLayerTreeHost.
> 
> But it's not specific to coordinated graphics either, it was used by LayerTreeHostGtk before we removed it.

Who else could be using it? Nobody else is using it upstream.
Comment 4 Zan Dobersek 2017-03-10 09:33:44 PST
Created attachment 304048 [details]
Patch
Comment 5 Zan Dobersek 2017-03-13 07:42:44 PDT
Comment on attachment 304048 [details]
Patch

Clearing flags on attachment: 304048

Committed r213844: <http://trac.webkit.org/changeset/213844>
Comment 6 Zan Dobersek 2017-03-13 07:42:54 PDT
All reviewed patches have been landed.  Closing bug.